module Stripe2QB
  module OptionsReading
    def set_attribute_from_options(key, options)
      value = get_required_from_options(key, options)
      instance_variable_set("@#{key}", value)
    end

    def get_required_from_options(key, options)
      options[key] or raise ConfigurationError.new("missing #{key}")
    end
  end
end
